%define pre	0
%define rel	2
%if %pre
%define release		%mkrel 0.%pre.%rel
%define distname	%name-%version%pre-src.tar.bz2
%define dirname		%name-%version%pre
%else
%define release		%mkrel %rel
%define distname	%name-%version-src.tar.bz2
%define dirname		%name-%version
%endif

Summary: Kart racing game
Name: supertuxkart
Version: 0.6.2
Release: %{release}
Source0: http://downloads.sourceforge.net/supertuxkart/%{distname}
Patch0: supertuxkart-0.6-fix-desktop.patch
License: GPLv2+
Group: Games/Arcade
URL: http://supertuxkart.berlios.de/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: freealut-devel
BuildRequires: libmikmod-devel
BuildRequires: mesagl-devel
BuildRequires: mesaglut-devel
BuildRequires: plib-devel
BuildRequires: oggvorbis-devel
BuildRequires: SDL-devel
BuildRequires: desktop-file-utils
BuildRequires: imagemagick
BuildRequires: openal-devel

%description
SuperTuxKart is an improved version of TuxKart, a kart racing game
featuring Tux and friends. SuperTuxKart contains new characters, new
tracks and a reworked user interface.

%prep
%setup -q -n %{dirname}
%patch0 -p1

%build
%configure2_5x --bindir=%{_gamesbindir}
%make
chmod -x AUTHORS ChangeLog NEWS README

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_datadir}/pixmaps/%{name}_*.xpm
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48,64x64}/apps
convert -scale 16x16 data/%{name}_32.xpm %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
convert data/%{name}_32.xpm %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 48x48 data/%{name}_64.xpm %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert data/%{name}_64.xpm %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%{_gamesbindir}/%{name}
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/*
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Thu Aug 20 2009 Frederik Himpe <fhimpe@mandriva.org> 0.6.2-2mdv2010.0
+ Revision: 418742
- Update to new version 0.6.2

* Wed May 13 2009 Samuel Verschelde <stormi@mandriva.org> 0.6.1a-2mdv2010.0
+ Revision: 375342
- fix desktop file (fix #49327)
- fix some rpmlint warnings

* Thu Feb 19 2009 Frederik Himpe <fhimpe@mandriva.org> 0.6.1a-1mdv2009.1
+ Revision: 342966
- Update to new version 0.6.1a
- Remove string format patch: integrated upstream

* Wed Feb 18 2009 Frederik Himpe <fhimpe@mandriva.org> 0.6.1-1mdv2009.1
+ Revision: 342631
- Update to version 0.6.1
- Rediff -Werror=format-security patch

* Thu Jan 22 2009 Funda Wang <fundawang@mandriva.org> 0.6-1mdv2009.1
+ Revision: 332530
- fix str fmt
- New version 0.6

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sat Aug 02 2008 Frederik Himpe <fhimpe@mandriva.org> 0.5-1mdv2009.0
+ Revision: 260783
- New upstream version 0.5
- BuildRequires: openal-devel
- Rediff desktop file patch
- Add upstream patch to fix wrong kart switching in multiplayer mode

* Wed Mar 26 2008 Adam Williamson <awilliamson@mandriva.org> 0.4-1mdv2009.0
+ Revision: 190453
- delete old source

* Tue Mar 18 2008 Adam Williamson <awilliamson@mandriva.org> 0.4-1mdv2008.1
+ Revision: 188663
- prettify pre-release conditionals
- 0.4 final

* Sun Mar 16 2008 Funda Wang <fundawang@mandriva.org> 0.4-0.rc1a.2mdv2008.1
+ Revision: 188117
- fix desktop file

* Thu Feb 28 2008 Adam Williamson <awilliamson@mandriva.org> 0.4-0.rc1a.1mdv2008.1
+ Revision: 175968
- buildrequires mesaglut-devel
- new license policy
- fd.o icons, correct .desktop file
- new release 0.4 rc1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 10 2007 Funda Wang <fundawang@mandriva.org> 0.3-2mdv2008.0
+ Revision: 61563
- remove 3DGraphics category(bug#32469)

* Thu Aug 02 2007 Olivier Blin <oblin@mandriva.com> 0.3-1mdv2008.0
+ Revision: 58183
- buildrequire SDL/alut/mikmod/vorbis devel packages
- 0.3
- use upstream desktop file and icons


* Sat Dec 02 2006 Olivier Blin <oblin@mandriva.com> 0.2-2mdv2007.0
+ Revision: 89960
- add menu entry

* Wed Nov 08 2006 Olivier Blin <oblin@mandriva.com> 0.2-1mdv2007.1
+ Revision: 78321
- initial supertuxkart package
- rename as supertuxkart to match distname
- Create super-tuxkart

